Subject: Re: [PATCH] Restore deterministic CPU accounting on powerpc

From: Balbir Singh <[email-masked]>
Date: Sat, 03 Nov 2007 22:17:41 +0530

Paul Mackerras wrote:
> Balbir Singh writes:
> 
>> So, scaled accounting will not be available if
>> CONFIG_VIRT_CPU_ACCOUNTING is defined? Am I reading this correctly
> 
> No, what makes you think that?  If VIRT_CPU_ACCOUNTING=y it is the
> responsibility of the arch's account_process_tick to update the scaled
> stats.  And the powerpc version does that by calling
> account_user_time_scaled().
> 
> Paul.

I looked at the diff's and could just see the reversal of scaled
accounting. I looked at account_process_vtime(), now
account_process_tick() and things seem fine. I was mislead by the
diff.

-- 
	Warm Regards,
	Balbir Singh
	Linux Technology Center
	IBM, ISTL